<?php

	define( 'LS_DB_HOST', 'localhost' );
	define( 'LS_DB_NAME', 'database_name' );
	define( 'LS_DB_USER', 'database_user_name' );
	define( 'LS_DB_PASS', 'database_user_password' );
	define( 'LS_DB_TABLEPREFIX', 'lime_' );
	
	$sid = $_GET["sid"];
	
	if(ctype_alnum($sid) && strlen($sid) == 6) { // Valid SID format
		
		$link = mysqli_connect(LS_DB_HOST, LS_DB_USER, LS_DB_PASS, LS_DB_NAME);
		
		// Check the connection 
		if (mysqli_connect_errno()) {
			printf("Connect failed: %s\n", mysqli_connect_error());
			exit();
		}
		
		// Query the survey table for all completed responses
		if ($result = mysqli_query($link, "SELECT * FROM ".LS_DB_TABLEPREFIX."survey_".$sid." WHERE `submitdate` IS NOT NULL")) {
			
			// Count number of rows in the result */
			$completedCount = mysqli_num_rows($result);
			
			// Return that value
			echo $completedCount;
			
			// Close result set 
			mysqli_free_result($result);
		}
		
		// Close the connection 
		mysqli_close($link);
		
	}
	else { // Invalid SID format
		die( 'Invalid format!' );
	}

?>