<?php

	require_once 'jsonRPCClient.php';
	
	define( 'LS_BASEURL', 'http://path/to/limeSurvey/');  
	define( 'LS_USER', 'limesurvey_user_name' );
	define( 'LS_PASSWORD', 'limesurvey_user_password' );
	define( 'LS_DB_HOST', 'localhost' );
	define( 'LS_DB_NAME', 'database_name' );
	define( 'LS_DB_USER', 'database_user_name' );
	define( 'LS_DB_PASS', 'database_user_password' );
	define( 'LS_DB_TABLEPREFIX', 'lime_' );
	
	$sid = $_GET["sid"];
	
	if(ctype_alnum($sid) && strlen($sid) == 6) { // Valid SID format
		
		// Instansiate a new RPC client
		$myJSONRPCClient = new jsonRPCClient( LS_BASEURL.'/index.php/admin/remotecontrol' );
		
		// Get a session key
		$sessionKey= $myJSONRPCClient->get_session_key( LS_USER, LS_PASSWORD );
		
		// Call the API with the get_summary() method
		$completedCount = $myJSONRPCClient->get_summary($sessionKey, $sid, 'completed_responses');
		
		// Return the completed surveys count
		echo $completedCount;
		
		// Release the session key
		$myJSONRPCClient->release_session_key( $sessionKey );
	}
	else { // Invalid SID format
		die( 'Invalid format!' );
	}

?>